import request from '@/utils/request'

// 查询压力容器报告历史列表
export function listHistoryYlrq(query) {
  return request({
    url: '/sems/historyYlrq/list',
    method: 'get',
    params: query
  })
}

// 查询压力容器报告历史详细
export function getHistoryYlrq(id) {
  return request({
    url: '/sems/historyYlrq/' + id,
    method: 'get'
  })
}

// 新增压力容器报告历史
export function addHistoryYlrq(data) {
  return request({
    url: '/sems/historyYlrq',
    method: 'post',
    data: data
  })
}

// 修改压力容器报告历史
export function updateHistoryYlrq(data) {
  return request({
    url: '/sems/historyYlrq',
    method: 'put',
    data: data
  })
}

// 删除压力容器报告历史
export function delHistoryYlrq(id) {
  return request({
    url: '/sems/historyYlrq/' + id,
    method: 'delete'
  })
}

// 导出压力容器报告历史
export function exportHistoryYlrq(query) {
  return request({
    url: '/sems/historyYlrq/export',
    method: 'get',
    params: query
  })
}
